Create a new authorization token.
curl --request POST \
--url https://api.coinfer.ai/base/user/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"desc": "",
"expire": "2025-02-11T23:56:09.473Z"
}
'import requests
url = "https://api.coinfer.ai/base/user/tokens"
payload = {
"name": "",
"desc": "",
"expire": "2025-02-11T23:56:09.473Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '', desc: '', expire: '2025-02-11T23:56:09.473Z'})
};
fetch('https://api.coinfer.ai/base/user/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": {
"id": 123,
"token": "<string>",
"token_name": "<string>",
"token_desc": "<string>",
"token_expire": "2025-02-11T23:56:09.473Z"
}
}{
"status": "error",
"code": "<string>",
"message": "<string>"
}Authorization
Create a new authorization token.
This is where the user explicitly creates a new token. The token can be used to call other APIs in the name of the user.
POST
/
base
/
user
/
tokens
Create a new authorization token.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json